%define name gnucash
%define version 1.6.2
%define release 3mdk
%define major 1

Name: %{name}
Summary: GnuCash is an application to keep track of your finances.
Version: %{version}
Release: %{release}
License: GPL
Group: Office
Source: ftp.gnucash.org/pub/gnucash/sources/stable/%{name}-%{version}.tar.bz2
Source1: gnucash-48.xpm.bz2
Source2: gnucash-32.xpm.bz2
Source3: gnucash-16.xpm.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://www.gnucash.org

# obsolete, but just in case...
Patch0: gnucash-swig.patch.bz2

#Requires: swig eperl  guile xpm
Requires: guile >= 1.4-11mdk
Requires: umb-scheme >= 3.2-17mdk
Requires: gnome-libs >= 1.0.40
Requires: Guppi
Requires: libglade0
# g-wrap must be updated when guile is
Requires: g-wrap >= 1.1.10
# We should add ssl support to this one
Requires: libghttp1
Requires: gtkhtml
Requires: readline
Requires: libbonobo2
Requires: GConf
Requires: gdk-pixbuf
Requires: libunicode0
Requires: gnome-print
Requires: liboaf0
Requires: libtermcap2
Requires: libgal11
Requires: python >= 2.1
#BuildRequires: eperl swig g-wrap xpm-devel guile-devel 
BuildRequires: db1-devel
BuildRequires: g-wrap-devel >= 1.1.10
BuildRequires: libguppi11-devel
BuildRequires: libghttp1-devel
BuildRequires: libgtkhtml15-devel
BuildRequires: libbonobo2-devel
BuildRequires: libgnomeprint15-devel
BuildRequires: libglade0-devel
BuildRequires: readline-devel
BuildRequires: libtermcap2-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: libunicode0-devel
BuildRequires: libGConf1-devel
BuildRequires: liboaf0-devel
BuildRequires: libgal11-devel
BuildRequires: popt-devel
BuildRequires: python-devel >= 2.1

%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.

%package devel
Group:	Development/C
Summary: Libraries needed to develop for gnucash
Requires: %{name} = %{version}

%description devel
Libraries needed to develop for gnucash.

%package -n libgnucash%{major}
Summary:        Libraries for gnucash
Group:          System/Libraries

%description -n libgnucash%{major}
This package provides libraries to use gnucash.


%prep
%setup -q

# remove conflicting ltconfig and ltmain.sh
(cd $RPM_BUILD_DIR/%{name}-%{version} && \
rm -f ltmain.sh ltconfig && \
libtoolize --force && \
aclocal -I ./macros && \
autoconf)

%build
%configure
#./configure --prefix=/usr --sysconfdir=/etc
# pseudo-source.c is generated by a perl script... beware on a cluster !
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#make prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc install

%{find_lang} %{name}

# Icons
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm

# Menu entry 
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat >$RPM_BUILD_ROOT/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" icon="%{name}.xpm" needs="X11" \
section="Applications/Finances" title="GnuCash" longtitle="GnuCash Personal finance manager"
EOF


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
if [ "$1" = 1 ]; then 
  %{__install_info} %{_infodir}/%{name}-design.info.bz2 %{_infodir}/dir --section="Miscellaneous" --entry="* Gnucash: (gnucash-design).             Gnucash design."
fi

%postun
%{clean_menus}
if [ "$1" = 0 ]; then
  %{__install_info} --delete %{_infodir}/%{name}-design.info.bz2 %{_infodir}/dir --section="Miscellaneous" --entry="* Gnucash: (gnucash-design).             Gnucash design."
fi

%post -n libgnucash%{major} -p /sbin/ldconfig
%postun -n libgnucash%{major} -p /sbin/ldconfig


%files devel
%defattr(-,root,root)
%{_bindir}/gnucash-make-guids
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
#%{_libdir}/%{name}/perl/*.a
#%{_libdir}/%{name}/perl/*.la

%files -n libgnucash%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/%{name}		
%defattr(444,root,root,755)
%attr(555,root,root) %{_bindir}/gnucash
%attr(555,root,root) %{_bindir}/gnc-prices
%attr(555,root,root) %{_bindir}/update-finance-quote
%attr(555,root,root) %{_datadir}/%{name}/finance-quote-helper
%dir %{_datadir}/%{name}
%{_infodir}/*
%{_datadir}/%{name}/accounts
%{_datadir}/%{name}/guile-modules
%doc %{_datadir}/%{name}/html
%doc %{_datadir}/%{name}/doc
%{_datadir}/%{name}/scm
%{_datadir}/gnome/help/gnucash
%{_datadir}/gnome/apps/Applications/gnucash.desktop
#/usr/share/locale/*/LC_MESSAGES/gnucash.*mo
%{_datadir}/pixmaps/gnucash
%{_mandir}/*/*
%doc AUTHORS COPYING ChangeLog ChangeLog.1 HACKING NEWS README README.patches
%doc doc/README.german doc/README.francais doc/guile-hackers.txt
%{_iconsdir}/%{name}.xpm
%{_iconsdir}/mini/%{name}.xpm
%{_iconsdir}/large/%{name}.xpm
%{_menudir}/%{name}
%{_datadir}/mime-info/*

#%{_libdir}/%{name}/perl/*.so.0*
#%{_datadir}/%{name}/perl
#%{_libdir}/%{name}/perl/*.so
#%{_libdir}/*.so

%changelog
* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-3mdk
- Recompiled against libgtkhtml15

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-2mdk
- Fix info install
- Recompiled against libgal11

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.2-1mdk
- Release 1.6.2

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.1-3mdk
- Recompiled against latest gtkhtml/gal

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.1-2mdk
- Recompiled against latest gtkhtml/gal

* Tue Jul 10 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.1-1mdk
- new version with updated translations
- created lib package

* Thu Jun 28 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.6.0-3mdk
- requires python
- changed libgal6 to libgal7
- adapt for new libtool
- install info pages
- still problems with translation files (at least fr and de) that make 
it crash when opening an account

* Fri Jun 22 2001 Stefan van der Eijk <stefan@eijk.nu> 1.6.0-2mdk
- BuildRequires: db1-devel
- BuildRequires: popt-devel
- BuildRequires: python-devel
- Remove BuildRequires: guile-devel
- Remove BuildRequires: gnome-libs-devel

* Thu Jun 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.6.0-1mdk
- 1.6.0.

* Mon Jun 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.97-0.2mdk
- Fix owner for some files
- New office menu structure

* Thu May 31 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.5.97-0.1mdk
- First beta version of 1.6 (feature freeze)
- lots of requirements and build requirements
- files list updates

* Wed Mar 21 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.10-1mdk
- new version, now from ftp.gnome.org

* Thu Mar 15 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.9-1mdk
- new version
- readded .desktop

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.8-1mdk
- new version 1.4.8
- added buildconflicts with libxml2-devel

* Mon Oct  9 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-2mdk
- added /usr/lib/gnucash/perl/* library files
- added la files in devel
- added man pages
- added requirement in devel
- gnucash.so is needed in the *normal* package because of swig
- moved libgncengine.so from devel to normal, just in case...

* Mon Oct  2 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-1mdk
- new version

* Tue Sep 12 2000  <rchaillat@bi.mandrakesoft.com> 1.4.6-1mdk
- new version

* Thu Aug 31 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-2mdk
- added comment about g-wrap
- added menu file

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-1mdk
- went back to stable releases
- macroszification
- corrected icons
- added some more BuildRequires (xpm, guile-devel)
- specfile clean-up
- split application and devel packages

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.5.0-1mdk
- Updated version

* Tue Jul 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-3mdk
- Repaired missing libs

* Mon Jul 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-1mdk
- Updated version / release 2 hours ago.

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.1-1mdk
- Updated version

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.1-5mdk
- Give full path when using convert.
- BuildPrereq: /usr/bin/convert.
- Regenerate libtoolize everywhere there is a configure.
- BuildRequires: eperl swig.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-4mdk

- Patched to compile with perl 5.6.0

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-3mdk

- Icon for menu entry
- Rebuilt on kenobi


* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 1.3.1-2mdk

- Menu'ized, changed group to Office (was: Applications/Finance)


* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com>

- First RPM for Mandrake

* Mon Feb 29 2000 Christian Schaller <Uraues@linuxrising.org>
- Updated for use with TurboLinux and some minor SPEC changes
